%define major_version 8.2
%define minor_version 0

%define shortname redhat-ds
%define pkgname   dirsrv

Name: redhat-ds-console
Version: %{major_version}.%{minor_version}
Release: 4%{?dist}
Summary: Red Hat Directory Server Management Console

Group: Applications/System
License: GPLv2
URL: http://www.redhat.com/directory_server/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source: http://port389.org/sources/%{name}-%{version}.tar.bz2
Requires: %{shortname}-admin
BuildRequires: ant >= 1.6.2
BuildRequires: ldapjdk
BuildRequires: idm-console-framework >= 1.1.5
BuildRequires: java-devel >= 1:1.6.0

%description
A Java based remote management console used for Managing Red Hat
Directory Server.

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dconsole.location=%{_javadir} \
    -Dbuilt.dir=`pwd`/built

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
install -m644 built/package/%{shortname}* $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/slapd/help
install -m644 help/en/*.html $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/slapd
install -m644 help/en/tokens.map $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/slapd
install -m644 help/en/help/*.html $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/slapd/help

# create symlinks
pushd $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
ln -s %{shortname}-%{version}.jar %{shortname}-%{major_version}.jar
ln -s %{shortname}-%{version}.jar %{shortname}.jar
ln -s %{shortname}-%{version}_en.jar %{shortname}-%{major_version}_en.jar
ln -s %{shortname}-%{version}_en.jar %{shortname}_en.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_en.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}_en.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}_en.jar
%dir %{_datadir}/%{pkgname}/manual/en/slapd
%{_datadir}/%{pkgname}/manual/en/slapd/tokens.map
%doc %{_datadir}/%{pkgname}/manual/en/slapd/*.html
%doc %{_datadir}/%{pkgname}/manual/en/slapd/help/*.html
                                                                                
%changelog
* Wed Jun  9 2010 Nathan Kinder <nkinder@redhat.com> - 8.2.0-4
- updated idm-console-framework dependency version
- updated with sources from Directory_Server_8_2_Candidate_20100609 git tag

* Thu May 13 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-3
- updated with sources from 389-ds-console 1.2.3

* Mon May  3 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-2
- updated with sources from 389-ds-console 1.2.2

* Mon Apr  5 2010 Rich Megginson <rmeggins@redhat.com> - 8.2.0-1
- the 8.2.0 release

* Wed Mar 25 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-3
- Resolves: bug 483660
- Description: Replication and Sync agreement edit should not allow change to/from LDAPS
- Fix Description: fix simple auth radio button on replication agreement edit tab

* Wed Jan  7 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-2
- use java-devel >= 1:1.6.0

* Tue Dec 16 2008 Rich Megginson <rmeggins@redhat.com> - 8.1.0-1
- updated for 8.1.0 - added LICENSE

* Mon Dec 10 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-11
- Removed CVS directories from sources.

* Mon Dec 10 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-10
- Updated sources.

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-9
- Updated online help documentation.

* Thu Oct 18 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-8
- Updated sources for bugfixes.

* Tue Oct 16 2007 Margaret Lum <mlum@redhat.com> 8.0.0-7
- Use Java 1.4.2.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-5
- Updated sources.

* Mon Aug 13 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-4
- Added online help files to package.

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-3
- use pkgname for filesystem path naming instead of shortname

* Thu Aug  2 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-2
- Updated dependency version for redhat-ds-admin package.

* Thu Aug  2 2007 Nathan Kinder <nkinder@redhat.com> 8.0.0-1
- Initial creation
